
# use only during build phase
# to run automatic tests
# and produce a valid go build

# data is taken from '''/tests''' folder

version: "3.9"
services:
  pocketbase:
    network_mode: "host"
    build:
      context: backend
      dockerfile: pbtest.Dockerfile
    volumes:
      - type: bind
        source: ./tests/pb_data
        target: /pb/pb_data
      - ./backend:/pb
    ports:
      - "8090:8090"
    environment:
      - RUNNING=DEV

  meili:
    network_mode: "host"
    image: getmeili/meilisearch:v1.0
    volumes:
      - "./tests/meili_data:/meili_data"
    ports:
      - "7700:7700"
    tty: true
    stdin_open: true
    command: ["meilisearch", "--master-key=masterKey", "--env=development"]
        
